using System;

namespace com.workman.cm3d2.task
{
	public class Task
	{
		public void SetInterval(float interval)
		{
			this.interval = interval;
		}

		public virtual void Execute()
		{
			if (this.action != null)
			{
				this.action();
			}
		}

		public float interval = 1f;

		public Action action;
	}
}
